curl --request GET \
--url https://api.instantly.ai/api/v2/inbox-placement-tests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/inbox-placement-tests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/inbox-placement-tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/inbox-placement-tests")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/inbox-placement-tests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/inbox-placement-tests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-3312-70ab-a942-69713cb8bc94",
"organization_id": "01a082d0-3312-70ab-a942-69729cb03baf",
"name": "My Inbox Placement Test",
"type": 1,
"sending_method": 1,
"email_subject": "My Email Subject",
"email_body": "Hi, this is my email body",
"emails": [
"john@doe.com"
],
"recipients": [
"johndoe@instantly.ai"
],
"timestamp_created": "2026-09-08T20:57:57.778Z",
"delivery_mode": 1,
"description": "This is a test description",
"schedule": {
"days": {
"2": true,
"3": true
},
"timing": {
"from": "02:30"
},
"timezone": "America/Chihuahua"
},
"campaign_id": "01a082d0-3312-70ab-a942-6973435e4f59",
"test_code": "ptid_gi7SuJfi4pEDSJ3rdIbCW",
"tags": [
"01a082d0-3312-70ab-a942-697467349f54"
],
"text_only": true,
"recipients_labels": [
{
"region": "North America",
"sub_region": "US",
"type": "Professional",
"esp": "Google"
}
],
"timestamp_next_run": "2026-09-08T20:57:57.778Z",
"automations": [
{
"when": {
"condition": "placement_goes_below",
"condition_value": 80
},
"then": {
"webhook_url": "https://example.com/webhook",
"pause_sending_campaigns_for": 14,
"pause": true,
"enable_slow_ramp": true,
"disable_slow_ramp": true,
"add_tags": [
"01a082d0-3312-70ab-a942-6976338dcac0"
],
"remove_tags": [
"01a082d0-3312-70ab-a942-6977f8f68575"
]
}
}
],
"status": 1,
"not_sending_status": "daily_limits_hit"
}
],
"next_starting_after": "01a082d0-83fd-7cc8-9cdf-9a44c30c93fe"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}List inbox placement test
Requires one of the following scopes: inbox_placement_tests:read, inbox_placement_tests:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
1 <= x <= 10010
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
"01956fbd-0eb1-72db-a565-82977a586084"
"test"
1, 2, 3 1
Sort order for the results. Results are always sorted by id (which is timestamp-sorted due to UUIDv7).
asc, desc "desc"
Response
The list of Inbox Placement Test
The list of Inbox Placement Test
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
"01a082d0-83fd-7cc8-9cdf-9a44c30c93fe"
"2026-09-08T20:58:18.493Z"